<template>
  <v-card @click="goToThisProductDetails">
    <v-img :src="this.productItem.product_img" aspect-ratio="1.7" contain></v-img>
    <v-card-title>{{ productItem.product_name }}</v-card-title>
    <p class="font-weight-bold">{{ productItem.product_price }} Euro</p>
  </v-card>
</template>

<script>
export default {
  name: "ProductBox",
  props: {
    productItem: {
      propType: Array,
      required: true
    }
  },
  data() {
    return {};
  },

  methods: {
    goToThisProductDetails() {
      let searchedProduct = this.productItem.product_id;
      this.$emit("go-to-this-product-details", searchedProduct);
    }
  }
};
</script>

<!-- Add "scoped" attribute to limit CSS to this component only -->
<style scoped>
img {
  width: 13rem;
  height: 13rem;
}
</style>
